Как решить эту проблему «проблема совместимости браузера Chrome в Selen Webdriver»?

Я просто пытаюсь автоматизировать кусок кода для автоматизации контактной формы, он работал нормально месяц назад, но сейчас он показывает приведенную ниже ошибку

Exception in thread "main" org.openqa.selenium.SessionNotCreatedException: session not created: Chrome version must be between 70 and 73
  (Driver info: chromedriver=73.0.3683.20 (8e2b610813e167eee3619ac4ce6e42e3ec622017),platform=Windows NT 10.0.17134 x86_64) (WARNING: The server did not provide any stacktrace information)
Command duration or timeout: 2.19 seconds

проблема совместимости версии, у меня версия chrome 74. ** что-то и селен поддерживает 70-73

Всего 1 ответ


Проблема: у вас установлена ​​версия браузера Chrome 74, а в вашей платформе установлен ChromeDriver Binary v73.0.3683.20, который поддерживает браузер Chrome v73

Решение. Обновите двоичную версию ChromeDriver до версии74.0.3729.6.

Пожалуйста, ознакомьтесь с разделом о выпуске Chrome Browser: Chrome Browser vs ChromeDriver Binary и следуйте приведенной ниже информации -

Надеюсь, что следующее поможет решить вашу проблему.


Есть идеи?

10000